# Remove-RASSAMLIDP.md

## NAME

Remove-RASSAMLIDP

## SYNOPSIS

Removes the SAMLIDP specified by name from the Licensing Server site (default).

## SYNTAX

**Remove-RASSAMLIDP** \[[Id](#id-string)] *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASSAMLIDP \[-[InputObject](#inputobject)] *(*[*SAMLIDP*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/samlidp.md)*)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Remove-RASSAMLIDP** \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

To remove a SAMLIDP from a specific site, specify the -SiteId parameter.

## PARAMETERS

## Name (string)

The name of the SAMLIDP to remove from a site.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to remove the SAMLIDP.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the SAMLIDP to remove from the site.

To obtain the ID, use the Get-SAMLIDP cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([SAMLIDP](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/samlidp.md))

The SAMLIDP to remove from a site.

To obtain a SAMLIDP object representing a SAMLIDP, use the Get-SAMLIDP command.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[SAMLIDP](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/samlidp.md)

## OUTPUTS

[SAMLIDP](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/samlidp.md)

[The](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/types/The.md)

[server](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/types/server.md)

[or](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/types/or.md)

[authorization](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/types/authorization.md)

[authority](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/types/authority.md)

[that](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/types/that.md)

[the](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/types/the.md)

[client](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/types/client.md)

[can](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/types/can.md)

[use](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/types/use.md)

[to](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/types/to.md)

[authenticate](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/types/authenticate.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Remove-RASSAMLIDP "My SAMLIDP"

Removes the SAMLIDP specified by name from the Licensing Server site (default).

To remove a SAMLIDP from a specific site, specify the -SiteId parameter.\
\*\*---------- EXAMPLE 2 ----------

Remove-RASSAMLIDP -Id 10

Removes the SAMLIDP specified by ID. To obtain the group ID, use the Get-SAMLIDP cmdlet.\
\*\*---------- EXAMPLE 3 ----------

Get-RASSAMLIDP -Id 10 | Remove-RASSAMLIDP

Removes a SAMLIDP, which is identified by an object obtained from the pipeline output.

## RELATED LINKS

* [New-RASSAMLIDP](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rassamlidp.md)
* [Set-RASSAMLIDP](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rassamlidp.md)
* [Get-RASSAMLIDP](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rassamlidp.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rassamlidp.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
